Bug 115032 - AutoCaption preference in options dialog should show Above as default position of table captions
Summary: AutoCaption preference in options dialog should show Above as default positio...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords:
Depends on:
Blocks: Options-Dialog-Writer Caption
  Show dependency treegraph
 
Reported: 2018-01-15 22:45 UTC by Thomas Lendo
Modified: 2018-02-10 17:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2018-01-15 22:45:57 UTC
This is a follow-up bug of Bug 40457 "Place captions above tables by default".

Also the default preference in Tools > Options > Writer > AutoCaption should show "Above" as position of table captions instead of "Below".

(I don't mean that table captions should be enabled by default.)
Comment 1 Julien Nabet 2018-01-17 14:59:49 UTC
On pc Debian x86-64 with master sources updated some days ago, I could reproduce this.
Comment 2 Julien Nabet 2018-01-17 15:00:10 UTC
I submitted this patch to review:
https://gerrit.libreoffice.org/#/c/48058/
Comment 3 Julien Nabet 2018-02-09 08:57:55 UTC
Heiko/Xisco: any thoughts about the patch https://gerrit.libreoffice.org/#/c/48058/ ?
Comment 4 Commit Notification 2018-02-10 11:28:58 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48c47db6e7e79f0accb3221a34ec03202e8fa413

tdf#115032: Above as default position for Autocaption pref

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2018-02-10 16:01:13 UTC
Heiko: I tried to put you in cc but even if your email appears twice, there's an error.
I cherry-picked the patch for 6.0 branch, see https://gerrit.libreoffice.org/#/c/49529/
I don't think it worths it for 5.4 branch but if you think it can help no pb.
Comment 6 Heiko Tietze 2018-02-10 16:54:51 UTC
(In reply to Julien Nabet from comment #5)
> Heiko: I tried to put you in cc but even if your email appears twice,
> there's an error.

Jay told me the same but I couldn't verify myself. Will ask infra now.
Comment 7 Commit Notification 2018-02-10 17:09:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=821c5a97049c55fe14b0cb8cb280fe77281d91a5&h=libreoffice-6-0

tdf#115032: Above as default position for Autocaption pref

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.